| Home | Libraries | People | FAQ | More

#### basic_stream::impl_type

##### Synopsis

Defined in header `<boost/beast/core/basic_stream.hpp>`

    struct impl_type :
        public boost::enable_shared_from_this< impl_type >,
        public boost::empty_value< RatePolicy >

##### Member Functions

Name | Description
--- | ---
close |
ex |
impl_type |
on_timer |
operator= |
policy |
reset |

##### Data Members

Name | Description
--- | ---
read |
socket |
timer |
waiting |
write |

##### Description

Convenience header `<boost/beast/core.hpp>`